package immibis.microblocks.coremod;

import net.minecraft.block.Block;
import net.minecraft.item.Item;
import net.minecraft.item.ItemBlock;
import net.minecraft.item.ItemStack;

public class BridgeClass2 {
	static {
		if(!BridgeClass1.isMinecraftLoaded)
			throw new AssertionError("can't touch this");
	}
	
	public static String getItemName(int id, int meta) {
		Item item = Item.itemsList[id];
		if(item == null)
			return "<invalid item>";
		String className = item.getClass().getName();
		if(item instanceof ItemBlock)
			className = Block.blocksList[item.shiftedIndex].getClass().getName();
		
		try {
			return item.getItemNameIS(new ItemStack(id, 1, meta))+", class "+className;
		} catch(Throwable t) {
			return "<error getting name: " + t + ">, class "+className;
		}
	}
}
